Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Modules | Functions
SVM plugins

This module contains API functions to handle SVM plugins. More...

## Modules
| SVM plugin objects
| This module contains API functions to handle SVM plugin objects.
| SVM plugin configuration
| This module contains API functions to handle SVM plugin configuration.

## Functions
SVM_FUNCTION SVM_String | svm_plugin_print (const void *svm)
| This function extracts a string representation of all defined objects in plugins.

## Detailed Description

This module contains API functions to handle SVM plugins.

Plugins are not directly accessible in the present API, but some detection functions are defined to allow dynamic detection of plugin dependencies.

## Function Documentation

## ◆ svm_plugin_print()

SVM_FUNCTION SVM_String svm_plugin_print | ( | const void * | svm | ) |

This function extracts a string representation of all defined objects in plugins.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.

Returns
  The string representation of all objects defined in plugins.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)